%define	pkgname	fastri
Summary:	Fast Ruby documentation browser
Summary(pl.UTF-8):	Szybka przeglądarka dokumentacji Ruby
Name:		ruby-%{pkgname}
Version:	0.3.1
Release:	4
License:	GPL v2
Group:		Development/Languages
Source0:	http://eigenclass.org/static/fastri/%{pkgname}-%{version}.tar.gz
# Source0-md5:	3a7d0a64b1c8e230a34ef7b4bad30dbe
URL:		http://eigenclass.org/hiki.rb?fastri
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FastRI is an alternative to the ri command-line tool. It is *much*
faster, and also allows you to offer RI lookup services over DRb.
FastRI is a bit smarter than ri, and can find classes anywhere in the
hierarchy without specifying the "full path". It also knows about
gems, and can tell you e.g. which extensions to a core class were
added by a specific gem.

%description -l pl.UTF-8
FastRI jest alternatywą dla narzędzia ri. Jest *znacznie* szybszy i
pozwala na oferowanie usług wyszukiwania RI poprzez DRb. FastRI jest
nieco mądrzejszy od ri i może znaleźć klasy gdziekolwiek w hierarchii
bez potrzeby podawania "pełnej ścieżki". Wie także o gemach i może
informować np. o tym które rozszerzenia klasy bazowej zostały dodane
przez określony gem.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
rdoc --ri -o ri lib
rdoc -o rdoc lib
rm -r ri/{DefaultDisplay,Gem,RI}
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir},%{_bindir}}

install -d $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a bin/* $RPM_BUILD_ROOT%{_bindir}
ln -s fri $RPM_BUILD_ROOT%{_bindir}/qri

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README.en THANKS
%attr(755,root,root) %{_bindir}/fastri-server
%attr(755,root,root) %{_bindir}/fri
%attr(755,root,root) %{_bindir}/qri
%attr(755,root,root) %{_bindir}/ri-emacs
%{ruby_vendorlibdir}/fastri

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/FastRI
%changelog
* Mon Aug 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-fastri.git;a=log;h=master

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> 4b11564
- build noarch, to vendorlibdir

* Sun Jul 20 2014 Elan Ruusamäe <glen@delfi.ee> 1793724
- ruby 2.0 rebuild
- release 3 (by relup.sh)

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> da4de42
- updated build
- added rdoc and ri packages

* Wed Oct 01 2008 twittner <twittner@pld-linux.org> c49561b
- up to 0.3.1, updated %files
- docs bcond added
- use vendor dirs
- gem version of fastri is much slower according to note printed
  after `gem install fastri' (and my tests)
- requires ruby with patched /usr/lib/ruby/1.8/rdoc/ri/ri_paths.rb file
  (with missing `require 'rubygems/version')

* Thu Mar 08 2007 beorn <beorn@pld-linux.org> 31d18b8
- Polish "Summary" translation
- Description update and translation to polish

* Thu Mar 08 2007 aredridel <aredridel@pld-linux.org> 018eae1
- added

